# $Revision: 1.42 $, $Date: 2002/10/27 12:15:02 $
#
# Conditional build:
# _without_gnome	- without capplet subpackage (which require GNOME libs to build)
#
%include	/usr/lib/rpm/macros.perl
Summary:	Adapt GTK-1.2 to support xft fonts
Summary(pl):	Wsparcie dla fontw xft dla GTK-1.2
Summary(pt_BR):	Adapta o GTK-1.2 para suportar fontes xft
Name:		gdkxft
Version:	1.5
Release:	12
License:	LGPL
Group:		X11/Libraries
Source0:	ftp://ftp.sourceforge.net/pub/sourceforge/gdkxft/%{name}-%{version}.tar.gz
URL:		http://gdkxft.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
%{!?_without_gnome:BuildRequires:	control-center-devel}
%{!?_without_gnome:BuildRequires:	libglade-gnome-devel}
BuildRequires:	gtk+-devel >= 1.2.0
BuildRequires:	libtool
BuildRequires:	rpm-perlprov
Requires(post):	/sbin/ldconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description 
A library that adds transparent support for anti-aliased fonts to the
libgdk component of gtk+-1.2.x. Gtk+ widgets will automagically use
the fonts.

%description -l pl
Biblioteka dodajca przeroczyst obsug dla wygadzanych fontw w
komponencie libgdk biblioteki gtk+-1.2.x. Widgety gtk+ automatycznie
bd uyway tych fontw.

%description -l pt_BR
Este pacote contm bibliotecas para adicionar suporte transparente a
fontes anti-aliased para o componente libgdk do gtk+-1.2. Os widgets
Gtk+ vo automaticamente usar essas fontes.

%package devel
Summary:	Header files for developing apps
Summary(es):	Bibliotecas y archivos de inclusin para desarrollo
Summary(pl):	Pliki nagowkowe gdkxft
Summary(pt_BR):	Bibliotecas e arquivos de incluso para desenvolvimento
Group:		Development/Libraries
PreReq:		%{name} = %{version}-%{release}

%description devel
Header files for developing apps with will use libgdkxft.

%description devel -l pl
Pliki nagwkowe do tworzenia aplikacji uywajcych libgdkxft.

%description devel -l pt_BR
Bibliotecas e arquivos de incluso necessrios para desenvolvimento
baseado na libgdkxft.

%package static
Summary:	Static libraries for libgdkxft development
Summary(pl):	Statyczna biblioteka libgdkxft
Summary(pt_BR):	Bibliotecas estticas para desenvolvimento com a libgdkxft
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libraries for libgdkxft development.

%description static -l pl
Statyczna biblioteka libgdkxft.

%description static -l pt_BR
Bibliotecas estticas para desenvolvimento com a libgdkxft.

%package capplet
Summary:	Capplet to configure gdkxft in GNOME
Summary(pl):	Narzdzie do konfiguracji gdkxft w GNOME
Group:		X11/Applications
Requires:	%{name} = %{version}

%description capplet
Capplet to configure gdkxft in GNOME.

%description capplet -l pl
Narzdzie do konfiguracji gdkxft w GNOME.

%prep
%setup -q

%build
%if %{?_without_gnome:1}%{!?_without_gnome:0}
cat >> acinclude.m4 <<EOF
AC_DEFUN([AM_PATH_LIBGLADE],[
AM_CONDITIONAL([HAVE_ORBIT],false)
AM_CONDITIONAL([HAVE_GNORBA],false)])
EOF
%endif
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-static \
	--enable-shared

sed -e s:capplet-widget.h:libcapplet1/capplet-widget.h: capplet/gdkxft-capplet.c > capplet/gdkxft-capplet.tmp
mv -f capplet/gdkxft-capplet.tmp capplet/gdkxft-capplet.c

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/X11/xinit/xinitrc.d,%{_datadir}/themes/Gdkxft/gtk}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

perl -pi -e "s@\\\`gtk-config --prefix\\\` \\|\\| \"/usr\"@\"`gtk-config --prefix`\"@g" \
	$RPM_BUILD_ROOT%{_sbindir}/gdkxft_sysinstall

> $RPM_BUILD_ROOT/etc/X11/xinit/xinitrc.d/gdkxft
> $RPM_BUILD_ROOT%{_datadir}/themes/Gdkxft/gtk/gtkrc

install -d $RPM_BUILD_ROOT%{_applnkdir}/Settings/GNOME
mv -f $RPM_BUILD_ROOT{%{_datadir}/gnome/apps/Settings/UIOptions,%{_applnkdir}/Settings/GNOME}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_sbindir}/gdkxft_sysinstall
/sbin/ldconfig

%preun
if [ "$1" = "0" ]; then
	%{_sbindir}/gdkxft_sysinstall -u
fi

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%dir %{_datadir}/themes/Gdkxft
%dir %{_datadir}/themes/Gdkxft/gtk
%ghost %{_datadir}/themes/Gdkxft/gtk/gtkrc
%attr(755,root,root) %ghost /etc/X11/xinit/xinitrc.d/gdkxft
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/gdkxft.conf
%attr(755,root,root) %{_sbindir}/gdkxft_sysinstall
%attr(755,root,root) %{_libdir}/libgdkxft.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgdkxft.la
%attr(755,root,root) %{_libdir}/libgdkxft.so

%files static
%defattr(644,root,root,755)
%{_libdir}/libgdkxft.a

%if %{?_without_gnome:0}%{!?_without_gnome:1}
%files capplet
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*-capplet
%{_datadir}/gdkxft-capplet.glade
%{_datadir}/pixmaps/gdkxft.png
%{_datadir}/control-center/UIOptions/gdkxft.desktop
%{_applnkdir}/Settings/GNOME/UIOptions/gdkxft.desktop
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gdkxft.spec,v $
Revision 1.42  2002/10/27 12:15:02  ankry
moved applnk, rel ++

Revision 1.41  2002/10/27 12:11:57  ankry
- moved desktop

Revision 1.40  2002/10/09 13:14:23  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.39  2002/10/04 07:53:50  qboosh
- removed dir belonging to control-center from -capplet; release 11

Revision 1.38  2002/09/14 19:55:50  maryush
- fixed invalid desktop file path
- STBR

Revision 1.37  2002/08/16 23:50:00  qboosh
- moved *.desktop to proper(?) place, release 9

Revision 1.36  2002/08/06 13:18:35  qboosh
- conditionally BR: libglade-gnome-devel

Revision 1.35  2002/06/03 19:01:43  mkochano
- Working source URI.

Revision 1.34  2002/05/25 22:45:53  qboosh
- new %%doc, fixed build without gnome with autoconf 2.53
- use gtk-config only on build, not install
- release 8

Revision 1.33  2002/05/24 13:46:02  roman
- added Prereq: gtk+-devel (needs gtk-config to install)

Revision 1.32  2002/05/24 13:43:32  roman
- addred gtk+-config to Requires:

Revision 1.31  2002/05/21 23:13:07  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.30  2002/04/25 15:29:32  kloczek
- regenerate ac/am/lt files.

Revision 1.29  2002/04/25 13:11:49  marcus
- rel.7.

Revision 1.28  2002/04/21 18:52:26  djrzulf
- works nice,
- Release 6,
- STBR,

Revision 1.27  2002/04/21 18:36:20  maryush
- fixed build error
- added missing files in gdkxft-capplet (now it's work correctly)

Revision 1.26  2002/02/22 23:28:56  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.25  2002/02/17 03:55:27  kloczek
- adapterized.

Revision 1.24  2002/02/15 23:30:06  qboosh
- release 5: gdkxft_sysinstall -u only on remove, not upgrade

Revision 1.23  2002/02/15 22:38:59  qboosh
- release 4: proper attr on xinitrc.d/gdkxft

Revision 1.22  2002/02/14 08:25:55  qboosh
- ...but only when building with gnome

Revision 1.21  2002/02/14 08:21:23  blues
- more BR

Revision 1.20  2002/02/13 22:12:21  qboosh
- added %%{_datadir}/themes/Gdkxft{,/gtk} dirs to package
- added themes/Gdkxft/gtk/gtkrc and /etc/X11/xinit/xinitrc.d/gdkxft files
  as ghost (they are created by gdkxft_sysinstall)
- release 3

Revision 1.19  2002/02/10 22:30:32  kloczek
- release 2.

Revision 1.18  2002/02/10 22:19:06  qboosh
- added _without_gnome bcond
- removed rebuilding auto* - it's not necessary and fails without gnome libs
- added missing pl translations

Revision 1.17  2002/02/08 15:02:30  ankry
- updated URL, changed Source URL to http: (ftp: seems to be outdated :( )

Revision 1.16  2002/02/08 08:56:43  filon
- updated to 1.5 (small changes)
- updated build phase

Revision 1.15  2002/01/18 02:13:01  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/12/04 06:15:04  kloczek
- added missing Require rule for caplet subpackage.

Revision 1.13  2001/12/04 06:13:26  kloczek
- added devel and static subpackages,
- spec adapterized and few minor/cosmetics changes.

Revision 1.12  2001/12/03 22:36:06  filon
- added capplet for GNOME in separate pkg
- release 2

Revision 1.11  2001/12/02 23:47:02  ankry
- updated Source URL

Revision 1.10  2001/12/02 18:57:42  filon
- updated to version 1.4

Revision 1.9  2001/09/21 12:20:19  kloczek
- release 2.

Revision 1.8  2001/09/21 12:16:00  misiek
fixed path to gdkxft_sysinstall in preun/post

Revision 1.7  2001/09/17 14:58:49  misiek
updated to 1.2

Revision 1.6  2001/09/07 19:06:48  misiek
1.1 version

Revision 1.5  2001/09/06 20:45:23  misiek
- fix it (more macros; proper dirs)

Revision 1.4  2001/09/05 02:55:40  agaran
small cosmetics, and it build(at least on sparc)
